{

Pascal translation of the Utility /Hooks and /Tags by Richard Waspe.

Original C headers Copyright Commodore Business Machines
}

Unit Utility;

Interface

Uses Exec;

Type

pHook = ^tHook;
tHook	=	Record
				h_MinNode	:	tMinNode;
				h_Entry		:	pLongInt;
				h_SubEntry	:	pLongInt;
				h_Data		:	Pointer;
			End;
			
Tag	=	LongInt;

pTagItem	=	^tTagItem;
tTagItem	=	Record
					ti_Tag	:	Tag;
					ti_Data	:	Longint;
				End;
				
Const

TAG_DONE			=	0;
TAG_END			=	0;
TAG_IGNORE		=	1;
TAG_MORE			=	2;
TAG_SKIP			=	3;
TAG_USER			=	$80000000;
TAGFILTER_AND	=	0;
TAGFILTER_NOT	=	1;


Implementation
Begin
End.

End.

